
#ifndef __CONSTANTS_H
#define __CONSTANTS_H

/** Global engine constants namespace. */
namespace gcon {

	// --------------------------------------------------------------
	//  general

	const float EPSILON = 0.0001f;

	// --------------------------------------------------------------
	//  demo

	/**
	 *  Updates frequency.
	 *  Logic happens at a fixed rate per second. Rendering takes
	 *  all the time that is left from the logic (so the longer your
	 *  logic, the less FPS you get).
	 */
	const int	UPDATE_FREQ = 20;
	const float UPDATE_DT = 1.0f / UPDATE_FREQ;

}; // namespace gcon

#endif

